Subject: Re: bug#12350: Composites identified as primes in factor.c (when HAVE_GMP)

From: Jim Meyering <[email-masked]>
Date: Mon, 17 Sep 2012 11:31:19 +0200

Torbjorn Granlund wrote:
> Jim Meyering <[email-masked]> writes:
>
>   At least one other change may be interesting to you:
>   another scope-reduction one:
>
>       - inline uintmax_t
>       + static inline uintmax_t
>         mulredc (uintmax_t a, uintmax_t b, uintmax_t m, uintmax_t mi)
>
> How about going all the way, making everything (but main) static?

That was the intent.
One of the earlier patches I sent converted all of the others.
I had missed mulredc initially because I'd searched manually for
names annotated with a " T " in the output of nm.